1. Vortex Widget
Vortex
  • Overview
  • Vortex SDK
  • Quick Start With The SDK
  • Ramp Lifecycle
  • Ephemeral Key Custody
  • Authentication And Partner Keys
  • Sandbox
  • BRL / KYC notes
  • Production Checklist
  • Quotes
    • Quotes And Pricing
    • Get existing quote
      GET
    • Create a new quote
      POST
    • Create a quote for the best network
      POST
  • Vortex Widget
    • Widget parameters
    • Widget Integration
    • Generating widget URL (for existing quote)
      POST
    • Generating widget URL (for existing quote)
      POST
  • Ramp
    • Get ramp status
      GET
    • Get ramp history for wallet address
      GET
    • Register new ramp process
      POST
    • Update ramp process
      POST
    • Start ramp process
      POST
    • Get ramp error logs
      GET
  • Account Management
    • Brazil
      • Brazilian KYC Process Overview
      • Get status of the last ramp event for a user
      • Start KYC level 2 process for a user
    • Europe
      • Coming soon...
    • Get user's remaining transaction limits
      GET
    • Get KYC document upload URLs
      POST
    • Get user information
      GET
    • Create user or retry KYC
      POST
    • Submit KYC level 1 data
      POST
    • Get selfie liveness URL
      GET
    • Get user's KYC status
      GET
    • Validate Pix key
      GET
  • Webhooks
    • Overview
    • Webhooks
    • Register Webhook
    • Delete Webhook
  • Public Key
    • Overview
    • Public Key
  • Reference Data
    • Supported Payment Methods
    • Supported Cryptocurrencies
    • Supported Countries
    • Supported Fiat Currencies
  • Schemas
    • Schemas
    • StartKYC2Response
    • GetKycStatusResponse
    • ValidatePixKeyResponse
    • GetUserRemainingLimitResponse
    • TriggerOfframpRequest
    • TriggerOfframpResponse
    • BrlaAddress
    • TaxIdType
    • CreateSubaccountRequest
    • CreateSubaccountResponse
    • KYCDocType
    • KYCDataUploadFileFiles
    • StartKYC2Request
    • GetUserResponse
    • StartRampRequest
    • RampDirection
    • GetWidgetUrlLocked
    • CountryCode
    • PaymentMethod
    • SimpleStatus
    • FiatToken
    • OnChainToken
    • GetWidgetUrlRefresh
    • CreateBestQuoteRequest
    • GetRampHistoryTransaction
    • GetRampHistoryResponse
    • BrlaErrorResponse
    • RegisterRampRequest
    • AccountMeta
    • Networks
    • PaymentData
    • RampProcess
    • RampPhase
    • DestinationType
    • UnsignedTx
    • CleanupPhase
    • CreateQuoteRequest
    • QuoteResponse
    • RampCurrency
    • UpdateRampRequest
    • PresignedTx
    • ErrorResponse
    • RampErrorLog
    • GetRampErrorLogsResponse
    • BrlaValidatePixKeyResponse
    • BrlaGetSelfieLivenessUrlResponse
    • AveniaDocumentType
    • AveniaKYCDataUploadRequest
    • DocumentUploadEntry
    • AveniaKYCDataUploadResponse
    • KycLevel1Payload
    • KycLevel1Response
  1. Vortex Widget

Generating widget URL (for existing quote)

Production
https://api.vortexfinance.co
Production
https://api.vortexfinance.co
POST
/v1/session/create
You can call this endpoint to get a widget URL ready with a quote you provide. You need to pass the quoteId parameter to the body, and optionally supply the callbackUrl, walletAddressLocked and externalSessionId. The quote will not automatically refresh and if it expires, the user needs to close the window and start over.

Request

Body Params application/json

Examples

Responses

🟢201Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.vortexfinance.co/v1/session/create' \
--header 'Content-Type: application/json' \
--data '{
    "quoteId": "my-quote-id",
    "externalSessionId": "my-session-id",
    "callbackUrl": "https://www.example.com/",
    "walletAddressLocked": "0x00000000000000000000000000000000"
}'
Response Response Example
{
    "url": "string"
}
Modified at 2026-05-16 09:46:23
Previous
Widget Integration
Next
Generating widget URL (for existing quote)
Built with